Search
×
Log in or create an account
If you have an account with us, please log in.

You have no items in your shopping cart.

Frequently Asked Questions

How can we help you?

banner image

What Magento, PHP, Elasticsearch and other software versions does Amasty support? | November 2020

On this page, you’ll find what Magento versions we support and guarantee their compatibility with our extensions. Besides, we’ll continue updating this post each time we are preparing to start/stop supporting any PHP, Elasticsearch, or other software versions.

Magento releases security and functional updates every quarter. You can see the schedule of the releases and the list of versions we support in the table below. Note that dates may change.

 

 Quarter

.

  Magento official release 

 

 General availability 

 

 

 Pre-release 

 

 Beta 

 

 Amasty supports 

 

 

2020 Q3 

.

 2.4.0

 2.3.5-p2 

 

July 28, 2020

 

None

.

 June 8, 2020

 

2.4.0

2.3 +

2.2

 

 2020 Q4 

 

2.4.1

 2.4.0-p1

 2.3.6

 

October 15, 2020

 

October 1, 2020

.

  September 10, 2020  

 

2.4.1

 2.4.0-p1

 2.3.6

 2.4.0

 2.3.5-p2 

.

 2021 Q1 

.

2.4.2

 2.4.1-p1

 2.3.6-p1

 

February 9, 2021

 

January 26, 2021

.

 January 5, 2021

 

2.4.2

 2.4.1-p1

  2.3.6-p1

2.4.1

 2.4.0-p1

 2.3.6

.

 2021 Q2 

 

 2.4.2-p1

 2.3.7

 

May 11, 2021

 

April 27, 2021

.

 April 6, 2021

 

2.4.2-p1

 2.3.7

2.4.2

 2.4.1-p1

 2.3.6-p1

 

2021 Q3

.

 2.4.3

 2.4.2-p2

 2.3.7-p1

 

August 10, 2021

.

 July 27, 2021

.

 July 6, 2021

.

 2.4.3

 2.4.2-p2

 2.3.7-p1

 2.4.2-p1

 2.3.7

 

 2021 Q4* 

 

2.4.3-p1

 2.3.7-p2

 

October 12, 2021

 

  September 28, 2021  

 

.

 None

 

2.4.3-p1

 2.3.7-p2

2.4.3

 2.4.2-p2

 2.3.7-p1

*There will not be a 2.4.4 release in 2021 Q4.

Also, Magento 2 has updated the lifecycle policy. Please, check the details in the Magento blog.

Magento 2.3.5+ (as of Nov.15, 2020)

Since November 15, 2020, we don't support the Magento 2.2 version.

.

 Magento Version 

.

.

 Deprecation notice 

.

 

 Amasty stops supporting 

 

2.2

August 15, 2020

November 15, 2020


It means that:

  • all those products and pre-orders placed on our website before the deadline will support v. 2.2
  • we’ll also do smoke testing for all extensions updates we release before the deadline with v. 2.2

But all products, pre-orders and new features placed on our website and issued after the deadline support v. 2.3.5+ only.

PHP 7.1+

We support PHP v. 7.1+

 Magento supports 

 Amasty supports 

7.4.0

7.1+

Elasticsearch 7.х+

We support Elasticsearch v. 7.х+

 Magento supports  

 Amasty supports  

7.6.x

7.х.+

Rate the answer?

Total rating: 4.0

If you didn’t find the answer on your question, please, ask here:

Back to top